{-| Module  : FiniteCategories
Description : An example of  __'Ens'__ exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of  __'Ens'__ exported with GraphViz.

Export the category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/Ens".
-}
module Math.FiniteCategories.Ens.Example
(
    main
)
where
    import Data.WeakSet         (powerSet, Set)
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | __'Ens'__ exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.Ens.Example"
        catToPdf (ens.powerSet.set $ "ABC") "OutputGraphViz/Examples/FiniteCategories/Ens/Ens"
        putStrLn "End of Math.FiniteCategories.Ens.Example"