{-| Module  : FiniteCategories
Description : __'Square'__ exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

__'Square'__ exported with GraphViz.

Export the __'Square'__ category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/Square".
-}
module Math.FiniteCategories.Square.Example
(
    main
)
where
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories.Square
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | __'Square'__ exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.Square.Example"
        catToPdf Square "OutputGraphViz/Examples/FiniteCategories/Square/Square"
        putStrLn "End of Math.FiniteCategories.Square.Example"